# Class: Style

## Style

Base class for vector feature rendering styles.

#### new ol.style.Style(opt_options) experimental

src/ol/style/style.js, line 16

  Name | Type | Description
  --- | --- | ---
  `options` | optional Style options.
  Name | Type | Description
  --- | --- | ---
  `fill` | ol.style.Fill | undefined | optional Fill style.
  `image` | ol.style.Image | undefined | optional Image style.
  `stroke` | ol.style.Stroke | undefined | optional Stroke style.
  `text` | ol.style.Text | undefined | optional Text style.
  `zIndex` | number | undefined | optional Z index.

### Methods

#### getFill(){ol.style.Fill} experimental

src/ol/style/style.js, line 57

  ##### Returns:

  Fill style.

#### getImage(){ol.style.Image} experimental

src/ol/style/style.js, line 66

  ##### Returns:

  Image style.

#### getStroke(){ol.style.Stroke} experimental

src/ol/style/style.js, line 75

  ##### Returns:

  Stroke style.

#### getText(){ol.style.Text} experimental

src/ol/style/style.js, line 84

  ##### Returns:

  Text style.

#### getZIndex(){number|undefined} experimental

src/ol/style/style.js, line 93

  ##### Returns:

  ZIndex.